Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Interface TransportServerInitializer

All Known Implementing Classes:
  IIOPTransportServerInitializer

public interface TransportServerInitializer

Instances of this interface manage listening for incoming connection requests.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Method Summary
`Transport` | `accept(int timeout)` Listen for an incoming connection.
`void` | `close()` Stop listening for a connection.
`boolean` | `isOpen()` Is is the transport open?
`void` | `open()` Start listening for incoming connections.

Method Detail

### open

    public void open()

  Start listening for incoming connections. Idempotent.
  Throws:
    `COMM_FAILURE` - If unable to listen. This will result in server shutdown.
    `TRANSIENT` - If unable to listen, and try again later.

### close

    public void close()

  Stop listening for a connection. Idempotent.

### isOpen

    public boolean isOpen()

  Is is the transport open?

### accept

    public Transport accept(int timeout)

  Listen for an incoming connection.
  Returns:
    transport for new connection, or null if no connection received.
  Throws:
    `COMM_FAILURE` - If some permanent comms problem occours this will result in server shutdown.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD